Edit TPN
POST
/v2/tpn/tpn-parametersThis API allows you to enable/disable specific features at the TPN level Currently Supported - Enable/disable SPIn integration and configure the integration type and mode.
Header Parameters
Authorization*
stringBody Parameters
tpnId*
stringintegrationDetails
integrationType*
enumspinMode
enumisvName
stringdeviceModel
stringPOST/v2/tpn/tpn-parameters
1curl --location 'https://externalapi.ipospays.tech/v2/tpn/tpn-parameters' \
2--header 'Authorization: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "tpnId": "abcdef123456",
6 "integrationDetails": {
7 "integrationType": "spin",
8 "spinMode": "cloud",
9 "isvName": "iPOSpays",
10 "deviceModel": "P1"
11 }
12}'
Response
// Awaiting response…
Sample response
{
"spinData": {
"registerId": "7263204",
"authKey": ""
},
"message": "parameters updated successfully.",
"statusCode": 200,
"request_id": "TEST-20260303073848-70PWFL",
"timestamp": "2026-03-03T07:38:48.542Z"
}